import request from '@/utils/request'

//分页获取牵引站列表
export function getAllMonitorPageList(data) {
    return request({
        url: '/device-boot/pms/monitor/getAllMonitorPageList',
        method: 'post',
        data
    })
}

export function getAllMainUserPageList(data) {
    return request({
        url: '/device-boot/pms/monitor/getAllMainUserPageList',
        method: 'post',
        data
    })
}


// 新增牵引站信息
export function addMonitor(data) {
    return request({
        url: '/device-boot/pms/monitor/addMonitor',
        method: 'post',
        data
    })
}
// 修改牵引站信息
export function updateMonitor(data) {
    return request({
        url: '/device-boot/pms/monitor/updateMonitor',
        method: 'post',
        data
    })
}
// 关联牵引站
export function getTractionStationList(data) {
    return request({
        url: '/device-boot/pms/tractionStation/getTractionStationList',
        method: 'post',
        data
    })
}

//删除牵引站信息
export function delMonitor(data) {
    return request({
        url: '/device-boot/pms/monitor/delMonitor',
        method: 'delete',
        data
    })
}
// 获取变电站名称
export function getstatationStatList(data) {
    return request({
        url: '/device-boot/pms/statationStat/getstatationStatList',
        method: 'post',
        data
    })
}
// 获取母线名称名称
export function getGeneratrixList(data) {
    return request({
        url: '/device-boot/pmsGeneratrix/getGeneratrixList',
        method: 'post',
        data
    })
}
// 获取线路名称名称
export function getGeneratrixWireList(data) {
    return request({
        url: '/device-boot/pms/generatrixWire/getGeneratrixWireList',
        method: 'post',
        data
    })
}
// 获取监测终端编号
export function getTerminalSelectList(data) {
    return request({
        url: '/device-boot/pms/terminal/getTerminalSelectList',
        method: 'post',
        data
    })
}
// 获取用电用户信息
export function getPowerClientList(data) {
    return request({
        url: '/device-boot/pms/powerClient/getPowerClientList',
        method: 'post',
        data
    })
}
// 获取发电用户信息
export function getPowerGenerationUserList(data) {
    return request({
        url: '/device-boot/pms/powerGenerationUser/getPowerGenerationUserList',
        method: 'post',
        data
    })
}

//导入主网监测点台账
export function importMonitor(data) {
    return request({
        url: '/device-boot/pms/monitor/importOracleLedgerToMysql',
        method: 'post',
        data,
        responseType: 'blob'
    })
}
//导出
export function exportSend(data) {
    return request({
        url: '/device-boot/monitorSend/exportSend',
        method: 'post',
        data,
        responseType: 'blob'
    })
}
//典型上送
export function sendType(data) {
    return request({
        url: '/device-boot/monitorSend/sendType',
        method: 'post',
        data
    })
}
//台账上送
export function pushMonitor(data) {
    return request({
        url: '/device-boot/gwTerminalPush/pushMonitor',
        method: 'post',
        data
    })
}
//对象类型
export function queryTree(data) {
    return request({
        url: '/system-boot/dictTree/queryTree',
        method: 'get',
        data
    })
}
